package com.zd.laboratory.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.laboratory.domain.LabApproval;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 安全准入审批管理类Controller
 *
 * @author cyl
 * @date 2021/9/15
 */
@ApiModel("安全准入审批管理类")
public class LabApprovalVO extends LabApproval {

    @ApiModelProperty("统计审批不通过的数量")
    private Integer fail;

    @ApiModelProperty("统计审批通过的数量")
    private Integer passed;

    @ApiModelProperty("统计待审批的数量")
    private Integer reviewed;

    @ApiModelProperty("用户姓名")
    private String nickName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("安全准入资格证书有效期")
    private Date effectiveTime;

    @ApiModelProperty("安全准入资格证书名称")
    private String configureName;

    @ApiModelProperty("安全准入资格证书有效期")
    private String effectiveTimeStr;

    private Integer appPageNum;

    private Integer appPageSize;

    public Integer getFail() {
        return fail;
    }

    public void setFail(Integer fail) {
        this.fail = fail;
    }

    public Integer getPassed() {
        return passed;
    }

    public void setPassed(Integer passed) {
        this.passed = passed;
    }

    public Integer getReviewed() {
        return reviewed;
    }

    public void setReviewed(Integer reviewed) {
        this.reviewed = reviewed;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Date getEffectiveTime() {
        return effectiveTime;
    }

    public void setEffectiveTime(Date effectiveTime) {
        this.effectiveTime = effectiveTime;
    }

    public String getConfigureName() {
        return configureName;
    }

    public void setConfigureName(String configureName) {
        this.configureName = configureName;
    }

    public Integer getAppPageNum() {
        return appPageNum;
    }

    public void setAppPageNum(Integer appPageNum) {
        this.appPageNum = appPageNum;
    }

    public Integer getAppPageSize() {
        return appPageSize;
    }

    public void setAppPageSize(Integer appPageSize) {
        this.appPageSize = appPageSize;
    }

    public String getEffectiveTimeStr() {
        return effectiveTimeStr;
    }

    public void setEffectiveTimeStr(String effectiveTimeStr) {
        this.effectiveTimeStr = effectiveTimeStr;
    }
}
